/*
 *     MainSwitch.kt
 *     Gugal
 *     Copyright (c) 2023 thegreatporg
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.porg.gugal

import androidx.compose.foundation.layout.*
import androidx.compose.material3.*
import androidx.compose.runtime.Composable

@Deprecated(
    "Material 3 components provided by Gugal are now in their own package, using a " +
            "more Compose-like syntax. This function will be removed in Gugal 0.9."
)
class Material3MainSwitch {
    companion object {
        @OptIn(ExperimentalMaterial3Api::class)
        @Composable
        @Deprecated(
            "Material 3 components provided by Gugal are now in their own package, using a " +
                    "more Compose-like syntax. This function will be removed in Gugal 0.9.",
            ReplaceWith("com.porg.m3.MainSwitch(title, checked, onCheckedChange)", )
        )
        fun MainSwitch(title: String, checked: Boolean, onCheckedChange: ((Boolean) -> Unit)?) {
            com.porg.m3.MainSwitch(title, checked, onCheckedChange)
        }
    }
}